### File

`packages/ecl/components/ecl-spotlight/ecl-spotlight-elements.directive.ts`

### Description

Directive representing the picture within a spotlight component. Automatically applies the corresponding ECL class.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `picture[eclSpotlightPicture]`

### Index

###### Properties
classes
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Default value : `'ecl-picture ecl-spotlight__picture'`
Adds the ECL CSS classes.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

classes
Type : `string`
Default value : `'ecl-picture ecl-spotlight__picture'`
Decorators : `@HostBinding('class')`
Adds the ECL CSS classes.

# results matching ""

# No results matching ""